# PulpcoreClient::GroupsUsersApi

All URIs are relative to *https://pulp*

Method | HTTP request | Description
------------- | ------------- | -------------
[**create**](GroupsUsersApi.md#create) | **POST** {group_href}users/ | Create an user
[**delete**](GroupsUsersApi.md#delete) | **DELETE** {groups_user_href} | Delete an user
[**list**](GroupsUsersApi.md#list) | **GET** {group_href}users/ | List users



## create

> GroupUserResponse create(group_href, group_user)

Create an user

Add a user to a group.

### Example

```ruby
# load the gem
require 'pulpcore_client'
# setup authorization
PulpcoreClient.configure do |config|
  # Configure HTTP basic authorization: basicAuth
  config.username = 'YOUR USERNAME'
  config.password = 'YOUR PASSWORD'
end

api_instance = PulpcoreClient::GroupsUsersApi.new
group_href = 'group_href_example' # String | 
group_user = PulpcoreClient::GroupUser.new # GroupUser | 

begin
  #Create an user
  result = api_instance.create(group_href, group_user)
  p result
rescue PulpcoreClient::ApiError => e
  puts "Exception when calling GroupsUsersApi->create: #{e}"
end
```

### Parameters


Name | Type | Description  | Notes
------------- | ------------- | ------------- | -------------
 **group_href** | **String**|  | 
 **group_user** | [**GroupUser**](GroupUser.md)|  | 

### Return type

[**GroupUserResponse**](GroupUserResponse.md)

### Authorization

[basicAuth](../README.md#basicAuth)

### HTTP request headers

- **Content-Type**: application/json, application/x-www-form-urlencoded, multipart/form-data
- **Accept**: application/json


## delete

> delete(groups_user_href)

Delete an user

Remove a user from a group.

### Example

```ruby
# load the gem
require 'pulpcore_client'
# setup authorization
PulpcoreClient.configure do |config|
  # Configure HTTP basic authorization: basicAuth
  config.username = 'YOUR USERNAME'
  config.password = 'YOUR PASSWORD'
end

api_instance = PulpcoreClient::GroupsUsersApi.new
groups_user_href = 'groups_user_href_example' # String | 

begin
  #Delete an user
  api_instance.delete(groups_user_href)
rescue PulpcoreClient::ApiError => e
  puts "Exception when calling GroupsUsersApi->delete: #{e}"
end
```

### Parameters


Name | Type | Description  | Notes
------------- | ------------- | ------------- | -------------
 **groups_user_href** | **String**|  | 

### Return type

nil (empty response body)

### Authorization

[basicAuth](../README.md#basicAuth)

### HTTP request headers

- **Content-Type**: Not defined
- **Accept**: Not defined


## list

> PaginatedGroupUserResponseList list(group_href, opts)

List users

List group users.

### Example

```ruby
# load the gem
require 'pulpcore_client'
# setup authorization
PulpcoreClient.configure do |config|
  # Configure HTTP basic authorization: basicAuth
  config.username = 'YOUR USERNAME'
  config.password = 'YOUR PASSWORD'
end

api_instance = PulpcoreClient::GroupsUsersApi.new
group_href = 'group_href_example' # String | 
opts = {
  limit: 56, # Integer | Number of results to return per page.
  offset: 56, # Integer | The initial index from which to return the results.
  fields: ['fields_example'], # Array<String> | A list of fields to include in the response.
  exclude_fields: ['exclude_fields_example'] # Array<String> | A list of fields to exclude from the response.
}

begin
  #List users
  result = api_instance.list(group_href, opts)
  p result
rescue PulpcoreClient::ApiError => e
  puts "Exception when calling GroupsUsersApi->list: #{e}"
end
```

### Parameters


Name | Type | Description  | Notes
------------- | ------------- | ------------- | -------------
 **group_href** | **String**|  | 
 **limit** | **Integer**| Number of results to return per page. | [optional] 
 **offset** | **Integer**| The initial index from which to return the results. | [optional] 
 **fields** | [**Array&lt;String&gt;**](String.md)| A list of fields to include in the response. | [optional] 
 **exclude_fields** | [**Array&lt;String&gt;**](String.md)| A list of fields to exclude from the response. | [optional] 

### Return type

[**PaginatedGroupUserResponseList**](PaginatedGroupUserResponseList.md)

### Authorization

[basicAuth](../README.md#basicAuth)

### HTTP request headers

- **Content-Type**: Not defined
- **Accept**: application/json

